Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.id.jericho.lib.html
Interface HTMLElementName

All Known Implementing Classes:
  Element, HTMLElements, Tag

public interface HTMLElementName

Contains static fields representing the names of all elements defined in the HTML 4.01 specification.

All of the name strings are in lower case.

The `HTMLElements` class is closely related to this interface, containing static methods which group these names by the characteristics of their associated elements.

This interface does not specify any methods, but can be inherited by other classes, or statically imported (Java 5.0), to provide less verbose access to the contained element name static fields.

The field values in this interface can be used as `name` arguments in named tag searches.

Note that since the `Tag` class implements `HTMLElementName`, all the constants defined in this interface can be referred to via the `Tag` class.
For example, `Tag.BODY` is equivalent to `HTMLElementName.BODY`.

See Also:
  `HTMLElements`, `Element`

Field Summary
`static java.lang.String` | `A` HTML element A - anchor.
`static java.lang.String` | `ABBR` HTML element ABBR - abbreviated form (e.g., WWW, HTTP, etc.).
`static java.lang.String` | `ACRONYM` HTML element ACRONYM - acronym.
`static java.lang.String` | `ADDRESS` HTML element ADDRESS - information on author.
`static java.lang.String` | `APPLET` HTML element APPLET - Java applet.
`static java.lang.String` | `AREA` HTML element AREA - client-side image map area.
`static java.lang.String` | `B` HTML element B - bold text style.
`static java.lang.String` | `BASE` HTML element BASE - document base URI.
`static java.lang.String` | `BASEFONT` HTML element BASEFONT - base font size.
`static java.lang.String` | `BDO` HTML element BDO - I18N BiDi over-ride.
`static java.lang.String` | `BIG` HTML element BIG - large text style.
`static java.lang.String` | `BLOCKQUOTE` HTML element BLOCKQUOTE - long quotation.
`static java.lang.String` | `BODY` HTML element BODY - document body.
`static java.lang.String` | `BR` HTML element BR - forced line break.
`static java.lang.String` | `BUTTON` HTML element BUTTON - push button.
`static java.lang.String` | `CAPTION` HTML element CAPTION - table caption.
`static java.lang.String` | `CENTER` HTML element CENTER - shorthand for DIV align=center.
`static java.lang.String` | `CITE` HTML element CITE - citation.
`static java.lang.String` | `CODE` HTML element CODE - computer code fragment.
`static java.lang.String` | `COL` HTML element COL - table column.
`static java.lang.String` | `COLGROUP` HTML element COLGROUP - table column group.
`static java.lang.String` | `DD` HTML element DD - definition description.
`static java.lang.String` | `DEL` HTML element DEL - deleted text.
`static java.lang.String` | `DFN` HTML element DFN - instance definition.
`static java.lang.String` | `DIR` HTML element DIR - directory list.
`static java.lang.String` | `DIV` HTML element DIV - generic language/style container.
`static java.lang.String` | `DL` HTML element DL - definition list.
`static java.lang.String` | `DT` HTML element DT - definition term.
`static java.lang.String` | `EM` HTML element EM - emphasis.
`static java.lang.String` | `FIELDSET` HTML element FIELDSET - form control group.
`static java.lang.String` | `FONT` HTML element FONT - local change to font.
`static java.lang.String` | `FORM` HTML element FORM - interactive form.
`static java.lang.String` | `FRAME` HTML element FRAME - subwindow.
`static java.lang.String` | `FRAMESET` HTML element FRAMESET - window subdivision.
`static java.lang.String` | `H1` HTML element H1 - heading.
`static java.lang.String` | `H2` HTML element H2 - heading.
`static java.lang.String` | `H3` HTML element H3 - heading.
`static java.lang.String` | `H4` HTML element H4 - heading.
`static java.lang.String` | `H5` HTML element H5 - heading.
`static java.lang.String` | `H6` HTML element H6 - heading.
`static java.lang.String` | `HEAD` HTML element HEAD - document head.
`static java.lang.String` | `HR` HTML element HR - horizontal rule.
`static java.lang.String` | `HTML` HTML element HTML - document root element.
`static java.lang.String` | `I` HTML element I - italic text style.
`static java.lang.String` | `IFRAME` HTML element IFRAME - inline subwindow.
`static java.lang.String` | `IMG` HTML element IMG - Embedded image.
`static java.lang.String` | `INPUT` HTML element INPUT - form control.
`static java.lang.String` | `INS` HTML element INS - inserted text.
`static java.lang.String` | `ISINDEX` HTML element ISINDEX - single line prompt.
`static java.lang.String` | `KBD` HTML element KBD - text to be entered by the user.
`static java.lang.String` | `LABEL` HTML element LABEL - form field label text.
`static java.lang.String` | `LEGEND` HTML element LEGEND - fieldset legend.
`static java.lang.String` | `LI` HTML element LI - list item.
`static java.lang.String` | `LINK` HTML element LINK - a media-independent link.
`static java.lang.String` | `MAP` HTML element MAP - client-side image map.
`static java.lang.String` | `MENU` HTML element MENU - menu list.
`static java.lang.String` | `META` HTML element META - generic metainformation.
`static java.lang.String` | `NOFRAMES` HTML element NOFRAMES - alternate content container for non frame-based rendering.
`static java.lang.String` | `NOSCRIPT` HTML element NOSCRIPT - alternate content container for non script-based rendering.
`static java.lang.String` | `OBJECT` HTML element OBJECT - generic embedded object.
`static java.lang.String` | `OL` HTML element OL - ordered list.
`static java.lang.String` | `OPTGROUP` HTML element OPTGROUP - option group.
`static java.lang.String` | `OPTION` HTML element OPTION - selectable choice.
`static java.lang.String` | `P` HTML element P - paragraph.
`static java.lang.String` | `PARAM` HTML element PARAM - named property value.
`static java.lang.String` | `PRE` HTML element PRE - preformatted text.
`static java.lang.String` | `Q` HTML element Q - short inline quotation.
`static java.lang.String` | `S` HTML element S - strike-through text style.
`static java.lang.String` | `SAMP` HTML element SAMP - sample program output, scripts, etc..
`static java.lang.String` | `SCRIPT` HTML element SCRIPT - script statements.
`static java.lang.String` | `SELECT` HTML element SELECT - option selector.
`static java.lang.String` | `SMALL` HTML element SMALL - small text style.
`static java.lang.String` | `SPAN` HTML element SPAN - generic language/style container.
`static java.lang.String` | `STRIKE` HTML element STRIKE - strike-through text.
`static java.lang.String` | `STRONG` HTML element STRONG - strong emphasis.
`static java.lang.String` | `STYLE` HTML element STYLE - style info.
`static java.lang.String` | `SUB` HTML element SUB - subscript.
`static java.lang.String` | `SUP` HTML element SUP - superscript.
`static java.lang.String` | `TABLE` HTML element TABLE - table.
`static java.lang.String` | `TBODY` HTML element TBODY - table body.
`static java.lang.String` | `TD` HTML element TD - table data cell.
`static java.lang.String` | `TEXTAREA` HTML element TEXTAREA - multi-line text field.
`static java.lang.String` | `TFOOT` HTML element TFOOT - table footer.
`static java.lang.String` | `TH` HTML element TH - table header cell.
`static java.lang.String` | `THEAD` HTML element THEAD - table header.
`static java.lang.String` | `TITLE` HTML element TITLE - document title.
`static java.lang.String` | `TR` HTML element TR - table row.
`static java.lang.String` | `TT` HTML element TT - teletype or monospaced text style.
`static java.lang.String` | `U` HTML element U - underlined text style.
`static java.lang.String` | `UL` HTML element UL - unordered list.
`static java.lang.String` | `VAR` HTML element VAR - instance of a variable or program argument.

Field Detail

### A

    public static final java.lang.String A

  HTML element A - anchor.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ABBR

    public static final java.lang.String ABBR

  HTML element ABBR - abbreviated form (e.g., WWW, HTTP, etc.).

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ACRONYM

    public static final java.lang.String ACRONYM

  HTML element ACRONYM - acronym.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ADDRESS

    public static final java.lang.String ADDRESS

  HTML element ADDRESS - information on author.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### APPLET

    public static final java.lang.String APPLET

  HTML element APPLET - Java applet.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### AREA

    public static final java.lang.String AREA

  HTML element AREA - client-side image map area.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### B

    public static final java.lang.String B

  HTML element B - bold text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BASE

    public static final java.lang.String BASE

  HTML element BASE - document base URI.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### BASEFONT

    public static final java.lang.String BASEFONT

  HTML element BASEFONT - base font size.

  This is an inline-level element.

  The end tag of this element is forbidden.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### BDO

    public static final java.lang.String BDO

  HTML element BDO - I18N BiDi over-ride.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BIG

    public static final java.lang.String BIG

  HTML element BIG - large text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BLOCKQUOTE

    public static final java.lang.String BLOCKQUOTE

  HTML element BLOCKQUOTE - long quotation.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BODY

    public static final java.lang.String BODY

  HTML element BODY - document body.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | (none)
  Terminating end tags: | `BODY`, `HTML`
  Nonterminating elements: | `HTML`

  Note that the `HTML` element is included as a nonterminating element in case the source contains (illegaly) nested HTML elements.

  See Also:
    Constant Field Values

### BR

    public static final java.lang.String BR

  HTML element BR - forced line break.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### BUTTON

    public static final java.lang.String BUTTON

  HTML element BUTTON - push button.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CAPTION

    public static final java.lang.String CAPTION

  HTML element CAPTION - table caption.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CENTER

    public static final java.lang.String CENTER

  HTML element CENTER - shorthand for DIV align=center.

  This is a block-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### CITE

    public static final java.lang.String CITE

  HTML element CITE - citation.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CODE

    public static final java.lang.String CODE

  HTML element CODE - computer code fragment.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### COL

    public static final java.lang.String COL

  HTML element COL - table column.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### COLGROUP

    public static final java.lang.String COLGROUP

  HTML element COLGROUP - table column group.

  The end tag of this element is optional:

  Terminating start tags: | `COLGROUP`, `TBODY`, `TFOOT`, `THEAD`, `TR`
  Terminating end tags: | `COLGROUP`, `TABLE`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### DD

    public static final java.lang.String DD

  HTML element DD - definition description.

  The end tag of this element is optional:

  Terminating start tags: | `DD`, `DT`
  Terminating end tags: | `DD`, `DL`
  Nonterminating elements: | `DL`

  See Also:
    Constant Field Values

### DEL

    public static final java.lang.String DEL

  HTML element DEL - deleted text.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### DFN

    public static final java.lang.String DFN

  HTML element DFN - instance definition.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### DIR

    public static final java.lang.String DIR

  HTML element DIR - directory list.

  This is a block-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### DIV

    public static final java.lang.String DIV

  HTML element DIV - generic language/style container.

  The end tag of this element is required.

  This is a block-level element.

  See Also:
    Constant Field Values

### DL

    public static final java.lang.String DL

  HTML element DL - definition list.

  The end tag of this element is required.

  This is a block-level element.

  See Also:
    Constant Field Values

### DT

    public static final java.lang.String DT

  HTML element DT - definition term.

  The end tag of this element is optional:

  Terminating start tags: | `DD`, `DT`
  Terminating end tags: | `DL`, `DT`
  Nonterminating elements: | `DL`

  See Also:
    Constant Field Values

### EM

    public static final java.lang.String EM

  HTML element EM - emphasis.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FIELDSET

    public static final java.lang.String FIELDSET

  HTML element FIELDSET - form control group.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FONT

    public static final java.lang.String FONT

  HTML element FONT - local change to font.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### FORM

    public static final java.lang.String FORM

  HTML element FORM - interactive form.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FRAME

    public static final java.lang.String FRAME

  HTML element FRAME - subwindow.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### FRAMESET

    public static final java.lang.String FRAMESET

  HTML element FRAMESET - window subdivision.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H1

    public static final java.lang.String H1

  HTML element H1 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H2

    public static final java.lang.String H2

  HTML element H2 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H3

    public static final java.lang.String H3

  HTML element H3 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H4

    public static final java.lang.String H4

  HTML element H4 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H5

    public static final java.lang.String H5

  HTML element H5 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H6

    public static final java.lang.String H6

  HTML element H6 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### HEAD

    public static final java.lang.String HEAD

  HTML element HEAD - document head.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | `BODY`, `FRAMESET`
  Terminating end tags: | `HEAD`, `HTML`
  Nonterminating elements: | (none)

  See Also:
    Constant Field Values

### HR

    public static final java.lang.String HR

  HTML element HR - horizontal rule.

  This is a block-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### HTML

    public static final java.lang.String HTML

  HTML element HTML - document root element.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | (none)
  Terminating end tags: | `HTML`
  Nonterminating elements: | `HTML`

  Note that the `HTML` element is included as a nonterminating element in case the source contains (illegaly) nested HTML elements.

  See Also:
    Constant Field Values

### I

    public static final java.lang.String I

  HTML element I - italic text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### IFRAME

    public static final java.lang.String IFRAME

  HTML element IFRAME - inline subwindow.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### IMG

    public static final java.lang.String IMG

  HTML element IMG - Embedded image.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### INPUT

    public static final java.lang.String INPUT

  HTML element INPUT - form control.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### INS

    public static final java.lang.String INS

  HTML element INS - inserted text.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ISINDEX

    public static final java.lang.String ISINDEX

  HTML element ISINDEX - single line prompt.

  This is a block-level element.

  The end tag of this element is forbidden.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### KBD

    public static final java.lang.String KBD

  HTML element KBD - text to be entered by the user.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### LABEL

    public static final java.lang.String LABEL

  HTML element LABEL - form field label text.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### LEGEND

    public static final java.lang.String LEGEND

  HTML element LEGEND - fieldset legend.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### LI

    public static final java.lang.String LI

  HTML element LI - list item.

  The end tag of this element is optional:

  Terminating start tags: | `LI`
  Terminating end tags: | `LI`, `OL`, `UL`
  Nonterminating elements: | `OL`, `UL`

  See Also:
    Constant Field Values

### LINK

    public static final java.lang.String LINK

  HTML element LINK - a media-independent link.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### MAP

    public static final java.lang.String MAP

  HTML element MAP - client-side image map.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### MENU

    public static final java.lang.String MENU

  HTML element MENU - menu list.

  This is a block-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### META

    public static final java.lang.String META

  HTML element META - generic metainformation.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### NOFRAMES

    public static final java.lang.String NOFRAMES

  HTML element NOFRAMES - alternate content container for non frame-based rendering.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### NOSCRIPT

    public static final java.lang.String NOSCRIPT

  HTML element NOSCRIPT - alternate content container for non script-based rendering.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OBJECT

    public static final java.lang.String OBJECT

  HTML element OBJECT - generic embedded object.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OL

    public static final java.lang.String OL

  HTML element OL - ordered list.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OPTGROUP

    public static final java.lang.String OPTGROUP

  HTML element OPTGROUP - option group.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OPTION

    public static final java.lang.String OPTION

  HTML element OPTION - selectable choice.

  The end tag of this element is optional:

  Terminating start tags: | `OPTGROUP`, `OPTION`
  Terminating end tags: | `OPTION`, `SELECT`
  Nonterminating elements: | (none)

  See Also:
    Constant Field Values

### P

    public static final java.lang.String P

  HTML element P - paragraph.

  This is a block-level element.

  The end tag of this element is optional:

  Terminating start tags: | All block-level element names, `DD`, `DT`, `LI`, `TD`, `TH`
  Terminating end tags: | All block-level element names, `BODY`, `CAPTION`, `DD`, `DT`, `HTML`, `LEGEND`, `TD`, `TH`, `TBODY`, `TFOOT`, `THEAD`, `TR`
  Nonterminating elements: | (none)

  The definition of this element in the HTML 4.01 specification explicitly states that the `P` element cannot contain block-level elements. Despite this, all of the popular browsers (in at least some modes of operation) allow `P` elements to enclose `TABLE` elements, which are also block-level elements.

  It is possible to make this parser compatible with this incorrect behaviour by executing the following code:

       HTMLElements.getTerminatingStartTagNames(HTMLElementName.P).remove(HTMLElementName.TABLE);
       HTMLElements.getNonterminatingElementNames(HTMLElementName.P).add(HTMLElementName.TABLE);

  See Also:
    Constant Field Values

### PARAM

    public static final java.lang.String PARAM

  HTML element PARAM - named property value.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### PRE

    public static final java.lang.String PRE

  HTML element PRE - preformatted text.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### Q

    public static final java.lang.String Q

  HTML element Q - short inline quotation.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### S

    public static final java.lang.String S

  HTML element S - strike-through text style.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### SAMP

    public static final java.lang.String SAMP

  HTML element SAMP - sample program output, scripts, etc..

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SCRIPT

    public static final java.lang.String SCRIPT

  HTML element SCRIPT - script statements.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SELECT

    public static final java.lang.String SELECT

  HTML element SELECT - option selector.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SMALL

    public static final java.lang.String SMALL

  HTML element SMALL - small text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SPAN

    public static final java.lang.String SPAN

  HTML element SPAN - generic language/style container.

  This is an inline-level element.

  See Also:
    Constant Field Values

### STRIKE

    public static final java.lang.String STRIKE

  HTML element STRIKE - strike-through text.

  This is an inline-level element.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### STRONG

    public static final java.lang.String STRONG

  HTML element STRONG - strong emphasis.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### STYLE

    public static final java.lang.String STYLE

  HTML element STYLE - style info.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SUB

    public static final java.lang.String SUB

  HTML element SUB - subscript.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SUP

    public static final java.lang.String SUP

  HTML element SUP - superscript.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TABLE

    public static final java.lang.String TABLE

  HTML element TABLE - table.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TBODY

    public static final java.lang.String TBODY

  HTML element TBODY - table body.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`
  Terminating end tags: | `TABLE`, `TBODY`
  Nonterminating elements: | `TABLE`

  Note that the `TFOOT` and `THEAD` elements are included as terminating start tags, even though the HTML 4.01 specification section 11.2.3 states that they must precede the `TBODY` element inside a `TABLE`. Most browsers tolerate an incorrect ordering of the `THEAD`, `TFOOT` and `TBODY` elements, so this parser also recognises the elements in any order.

  See Also:
    Constant Field Values

### TD

    public static final java.lang.String TD

  HTML element TD - table data cell.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TD`, `TFOOT`, `TH`, `THEAD`, `TR`
  Terminating end tags: | `TABLE`, `TBODY`, `TD`, `TFOOT`, `THEAD`, `TR`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TEXTAREA

    public static final java.lang.String TEXTAREA

  HTML element TEXTAREA - multi-line text field.

  The end tag of this element is required.

  This is an inline-level element.

  See Also:
    Constant Field Values

### TFOOT

    public static final java.lang.String TFOOT

  HTML element TFOOT - table footer.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`
  Terminating end tags: | `TABLE`, `TFOOT`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TH

    public static final java.lang.String TH

  HTML element TH - table header cell.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TD`, `TFOOT`, `TH`, `THEAD`, `TR`
  Terminating end tags: | `TABLE`, `TBODY`, `TFOOT`, `TH`, `THEAD`, `TR`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### THEAD

    public static final java.lang.String THEAD

  HTML element THEAD - table header.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`
  Terminating end tags: | `TABLE`, `THEAD`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TITLE

    public static final java.lang.String TITLE

  HTML element TITLE - document title.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TR

    public static final java.lang.String TR

  HTML element TR - table row.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`, `TR`
  Terminating end tags: | `TABLE`, `TBODY`, `TFOOT`, `THEAD`, `TR`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TT

    public static final java.lang.String TT

  HTML element TT - teletype or monospaced text style.

  The end tag of this element is required.

  This is an inline-level element.

  See Also:
    Constant Field Values

### U

    public static final java.lang.String U

  HTML element U - underlined text style.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### UL

    public static final java.lang.String UL

  HTML element UL - unordered list.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### VAR

    public static final java.lang.String VAR

  HTML element VAR - instance of a variable or program argument.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD